有谁用 ubuntu 编译成功 2.6.11 的内核啊?

内核编译和嵌入式产品的设计与开发
回复
bamu1984
帖子: 2
注册时间: 2011-01-04 20:19
送出感谢: 0
接收感谢: 0

有谁用 ubuntu 编译成功 2.6.11 的内核啊?

#1

帖子 bamu1984 » 2011-01-08 22:22

RT, 学习 linux kernel, 需要 qume 来调试,要一个带有调试信息的 kernel。
可是,用 U10.04 怎么也编译不成功,用的 内核是 2.6.11.12 版本
主要问题是 这个版本需要的 as, ld 这些 binutil 的版本不能太高, 可能是 2.12 左右,但是系统自带是 2.20 的,而且gcc 版本太高了。 删除了系统的 binutil 后,装了 2.16版本,可是这个时候再去make 又提示说 libc6 版本不对, 但是这个 libc6 又依赖于 binutil 2.20 的版本, 这依赖关系就循环依赖了~~

不知道有人编译成功没? 是怎么做的呢?
bamu1984
帖子: 2
注册时间: 2011-01-04 20:19
送出感谢: 0
接收感谢: 0

Re: 有谁用 ubuntu 编译成功 2.6.11 的内核啊?

#2

帖子 bamu1984 » 2011-01-09 13:57

实在没办法 , 弄了个 Ubuntu 5.10 的,在虚拟机里面编好,再拿出来用了·~
回复

回到 “内核及嵌入式开发”